> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export I9 Bulk

> Exports a CSV of US employees' I-9 and E-Verify data within the DHS retention window.

Not available to API keys yet. It will need `identity:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/export-i9-bulk
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/export-i9-bulk:
    post:
      operationId: exportI9Bulk
      summary: Export I9 Bulk
      description: >-
        Exports a CSV of US employees' I-9 and E-Verify data within the DHS
        retention window.


        Not available to API keys yet. It will need `identity:write`.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportI9BulkResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ExportI9BulkResponse:
      type: object
      properties:
        csv:
          type: string
        filename:
          type: string
        rowCount:
          type: integer
          minimum: 0
      required:
        - csv
        - filename
        - rowCount
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
